#!/usr/bin/perl

use strict;

## List control files in faces/
opendir(F, "faces");
my @families = grep /^[-a-z0-9]+$/, readdir(F);
closedir(F);

## Rewrite Makefile
rename "Makefile", "Makefile.bak";
open(M, "Makefile.bak");
open(N, ">Makefile");
 line:
    while (<M>) {
        print N $_;
        last line if /^\# DO NOT DELETE/;
    }
print N "all: " . (join ' ', @families) . "\n";
foreach my $f (@families) {
    print N "$f: work; -tools/buildfam.pl \$(AFMDIR) $f\n";
}
close(N);
close(M);
